PDF::API3::Compat::API2::Basic::TTF::Delta(3)

TITLE
SIL::TTF::Delta - Opentype Device tables

DESCRIPTION
Each device table corresponds to a set of deltas for a particular point over a range of ppem values.

first
    The first ppem value in the range

last
    The last ppem value in the range

val This is an array of deltas corresponding to each ppem in the range between first and last inclusive.

fmt This is the fmt used (log2 of number bits per value) when the device table was read. It is recalculated on output.

METHODS

  new
Creates a new device table

  read
Reads a device table from the given IO object at the current location

  out($fh, $style)
Outputs a device table to the given IO object at the current location, or just returns the data to be output if $style != 0

  $d->out_xml($context)
Outputs a delta in XML

AUTHOR
Martin Hosken Martin_Hosken@sil.org. See PDF::API3::Compat::API2::Basic::TTF::Font for copyright and licensing.